Skip to navigation

Get status of bulk send batch

View as Markdown

Gets the general status of a specific bulk send batch such as:

  • number of successes
  • number pending
  • number of errors

The bulkErrors property of the response object contains more information about the errors.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

bulkSendBatchIdstringRequired
The batch ID.

Response

Successful response.
actionstringOptional
actionStatusstringOptional
batchIdstringOptional
The batch ID.
batchNamestringOptional
The batch name.
batchSizestringOptional
The number of of bulk envelopes submitted in the current batch
bulkErrorslist of objectsOptional
An array of error statuses.
envelopeIdOrTemplateIdstringOptional
The ID of the draft envelope or template that was used to create the batch.
envelopesInfoobjectOptional
envelopesUristringOptional
The URI to get all envelopes sent in the batch.
failedstringOptional
The number of envelopes that failed to process or send.
mailingListIdstringOptional
The ID of the mailing list used to create the batch.
mailingListNamestringOptional
ownerUserIdstringOptional
queuedstringOptional
The number of envelopes waiting in pending queue
resendsRemainingstringOptional
senderUserIdstringOptional
The ID of the sender.
sentstringOptional
The number of envelopes sent successfully.
submittedDatestringOptional
The timestamp of when the batch was submitted in ISO 8601 format.

Errors

400
Bad Request Error